summaryrefslogtreecommitdiff
path: root/update_symbols
diff options
context:
space:
mode:
Diffstat (limited to 'update_symbols')
-rwxr-xr-xupdate_symbols7
1 files changed, 7 insertions, 0 deletions
diff --git a/update_symbols b/update_symbols
new file mode 100755
index 0000000..a1a1cb3
--- /dev/null
+++ b/update_symbols
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+make ev.o event.o || exit
+
+nm ev.o | perl -ne 'print "$1\n" if /\S+ [A-Z] (\S+)/' > Symbols.ev
+nm event.o | perl -ne 'print "$1\n" if /\S+ [A-Z] (\S+)/' > Symbols.event
+